alert

@pixi/filter-kawase-blur

v4.1.0

PixiJS filter to apply an alternative, fast blur effect to Gaussian

MIT
Latest version published 2 months ago
    npm install @pixi/filter-kawase-blur
  
We couldn't find any similar packages Browse all packages

Package Health Score

80 / 100
Make sure the packages you're using are safe to use
Secure my Project

Popularity

Recognized
Download trend

Weekly Downloads (11,595)

Dependents
36
GitHub Stars
557
Forks
125
Contributors
40

The npm package @pixi/filter-kawase-blur receives a total of 11,595 downloads a week. As such, we scored @pixi/filter-kawase-blur popularity level to be Recognized.

Based on project statistics from the GitHub repository for the npm package @pixi/filter-kawase-blur, we found that it has been starred 557 times, and that 36 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Security

No known security issues
Powered by Snyk

Security and license risk for significant versions

All Versions
Popular

Version

Release Date

02/2018
01/2019
12/2020
03/2021
05/2021

Direct Vulnerabilities

2.6.0
  • 0
    H
  • 0
    M
  • 0
    L
2.7.0
  • 0
    H
  • 0
    M
  • 0
    L
Popular
3.2.0
  • 0
    H
  • 0
    M
  • 0
    L
4.0.0
  • 0
    H
  • 0
    M
  • 0
    L
4.1.0
  • 0
    H
  • 0
    M
  • 0
    L

Indirect Vulnerabilities

2.6.0
  • 0
    H
  • 0
    M
  • 0
    L
2.7.0
  • 0
    H
  • 0
    M
  • 0
    L
Popular
3.2.0
  • 0
    H
  • 0
    M
  • 0
    L
4.0.0
  • 0
    H
  • 0
    M
  • 0
    L
4.1.0
  • 0
    H
  • 0
    M
  • 0
    L

License Risk

2.6.0
  • 0
    H
  • 0
    M
  • 0
    L
2.7.0
  • 0
    H
  • 0
    M
  • 0
    L
Popular
3.2.0
  • 0
    H
  • 0
    M
  • 0
    L
4.0.0
  • 0
    H
  • 0
    M
  • 0
    L
4.1.0
  • 0
    H
  • 0
    M
  • 0
    L
All security vulnerabilities belong to production dependencies of direct and indirect packages.

License
MIT

Security Policy
No

We found a way for you to contribute to the project! Looks like @pixi/filter-kawase-blur is missing a security policy.


You can connect your project's repository to Snyk to stay up to date on security alerts and receive automatic fix pull requests.

    # Install the Snyk CLI and test your project
npm i snyk -g && snyk test @pixi/filter-kawase-blur
Keep your project free of vulnerabilities with Snyk

Maintenance

Healthy

Commit Frequency

Open Issues
17
Open PR
1
Last Release
2 months ago
Last Commit
16 days ago

Further analysis of the maintenance status of @pixi/filter-kawase-blur based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Healthy.

We found that @pixi/filter-kawase-blur demonstrates a positive version release cadence with at least one new version released in the past 3 months.

As a healthy sign for on-going project maintenance, we found that the GitHub repository had at least 1 pull request or issue interacted with by the community.

Community

Sustainable
Readme.md
Yes
Contributing.md
No
Code of Conduct
No
Contributors
40
Funding
Yes

With more than 10 contributors for the @pixi/filter-kawase-blur repository, this is possibly a sign for a growing and inviting community.

We found a way for you to contribute to the project! Looks like @pixi/filter-kawase-blur is missing a Code of Conduct.


Embed Package Health Score Badge

package health: 80/100 package health 80/100

Package

Node.js Compatibility
not defined

Age
3 years
Dependencies
0 Direct
Versions
12
Install Size
101 kB
Dist-tags
1
# of Files
10
Maintainers
2
TS Typings
Yes

@pixi/filter-kawase-blur has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.